%define upstream_name    Catalyst-Plugin-Authentication-Store-LDAP
%define abbrev_name      Catalyst-P-A-Store-LDAP
%define upstream_version 0.0602

Name:		perl-%{abbrev_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12

Summary:	Catalyst - Authentication from an LDAP Directory
License:	Artistic/GPL
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Catalyst::Model::LDAP)
BuildRequires:	perl(Catalyst::Plugin::Authentication)
BuildRequires:	perl(Class::Accessor::Fast)
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(Net::LDAP)
BuildRequires:	perl(Test::More)
BuildArch:	noarch
Provides:	perl-%upstream_name
Obsoletes:	perl-%upstream_name

%description
This plugin uses Net::LDAP to let your application authenticate against an LDAP
directory. It has a pretty high degree of flexibility, given the wide variation
of LDAP directories and schemas from one system to another.

It authenticates users in two steps:

1) A search of the directory is performed, looking for a user object that
matches the username you pass. This is done with the bind credentials supplied
in the "binddn" and "bindpw" configuration options.

2) If that object is found, we then re-bind to the directory as that object.
Assuming this is successful, the user is Authenticated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
PERL_EXTUTILS_AUTOINSTALL=--skipdeps %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#%__make test

%install
%make_install

%files
%doc TODO Changes META.yml
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*



%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.60.200-12.mga9
+ Revision: 1808432
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.200-11.mga8
+ Revision: 1503520
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.60.200-10.mga7
+ Revision: 1282155
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.60.200-9.mga7
+ Revision: 1167760
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.60.200-8.mga6
+ Revision: 1023243
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.60.200-7.mga6
+ Revision: 933826
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.200-6.mga5
+ Revision: 742274
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.200-5.mga5
+ Revision: 683791
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.200-4.mga4
+ Revision: 521460
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 pterjan <pterjan> 0.60.200-3.mga3
+ Revision: 390965
- Set PERL_EXTUTILS_AUTOINSTALL=--skipdeps else it will want to setup cpan even if nothing is missing

* Sun Jan 13 2013 umeabot <umeabot> 0.60.200-2.mga3
+ Revision: 363927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.60.200-1.mga1
+ Revision: 41246
- mageia rebuild
- imported package perl-Catalyst-P-A-Store-LDAP

